Php 5.3.2 삭제하고 php 5.2.x 설치하기

ubuntu-10.04-server-i386 가 설최된 서버입니다.
> php -v 실행
> PHP Deprecated: Comments starting with ‘#’ are deprecated in /etc/php5/cli/conf.d/mcrypt.ini on line 1 in Unknown on line 0
> PHP 5.3.2-1ubuntu4.2 with Suhosin-Patch (cli) (built: May 13 2010 20:01:00)
> Copyright (c) 1997-2009 The PHP Group
> Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

테크노트를 설치하려고 보니 Zend Optimizer가 설치되어 있어야 한다고 합니다.
Zend Optimizer는 PHP 5.3.X 를 지원하지 않는 상태입니다.

PHP 5.3.2 를 제거하기 위해 아래의 명령을 수행하였으나, 여전히 phpinfo 화면에서 5.3.2로 보여집니다.
> apt-get remove --purge php5

PHP 5.3.2 를 제거하고 PHP 5.2.X 버전을 설치하기 위한 방법이 궁금합니다.